API ReferenceapiclinicalGET /v1/admin/adverse-events

GET /v1/admin/adverse-events

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 List of pending adverse events

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "patient_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "peptide_id": {
            "type": "string"
          },
          "symptoms": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "severity": {
            "type": "integer",
            "minimum": 1,
            "maximum": 5
          },
          "notes": {
            "type": [
              "string",
              "null"
            ]
          },
          "photos": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "s3_key": {
                  "type": "string"
                },
                "caption": {
                  "type": "string"
                },
                "content_type": {
                  "type": "string"
                }
              },
              "required": [
                "s3_key",
                "content_type"
              ]
            }
          },
          "status": {
            "type": "string"
          },
          "reviewed_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "reviewed_by": {
            "type": [
              "string",
              "null"
            ]
          },
          "review_note": {
            "type": [
              "string",
              "null"
            ]
          },
          "reported_at": {
            "type": "string",
            "format": "date-time"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "patient_id",
          "brand_id",
          "peptide_id",
          "symptoms",
          "severity",
          "notes",
          "photos",
          "status",
          "reviewed_at",
          "reviewed_by",
          "review_note",
          "reported_at",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/admin/adverse-events \
  -H "Authorization: Bearer $ACCESS_TOKEN"